cURL
curl --request GET \
--url https://api.useanima.sh/v1/domains/{id}/deliverability \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/domains/{id}/deliverability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/domains/{id}/deliverability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domain": "<string>",
"sent": 1,
"delivered": 1,
"bounced": 1,
"complained": 1,
"bounceRate": 1,
"complaintRate": 1,
"isHealthy": true,
"dmarc": {
"reportCount": 1,
"messages": 1,
"passed": 1,
"failed": 1,
"passRate": 1,
"quarantined": 1,
"rejected": 1,
"reporters": [
"<string>"
],
"topSources": [
{
"sourceIp": "<string>",
"messages": 1,
"passed": 1,
"failed": 1
}
],
"topFailingSources": [
{
"sourceIp": "<string>",
"messages": 1,
"passed": 1,
"failed": 1
}
],
"lastReportAt": "2023-11-07T05:31:56Z",
"windowDays": 1
}
}API Reference
Get domains deliverability
GET
/
domains
/
{id}
/
deliverability
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Path Parameters
Unique domain identifier
Pattern:
^[cC][^\s-]{8,}$Response
200 - application/json
OK
Email deliverability statistics for a domain
Domain these statistics apply to
Total number of emails sent
Required range:
x >= 0Number of emails successfully delivered
Required range:
x >= 0Number of emails that bounced
Required range:
x >= 0Number of emails marked as spam by recipients
Required range:
x >= 0Bounce rate as a decimal (e.g. 0.02 for 2%)
Required range:
x >= 0Complaint rate as a decimal (e.g. 0.001 for 0.1%)
Required range:
x >= 0Whether deliverability metrics are within acceptable thresholds
DMARC aggregate reports received for this domain, summarizing how receiving mail providers authenticated mail claiming to be from it
Show child attributes
Show child attributes
